eva中输入不了中文????

为当前最终发行版之前的所有版本提供支持
回复
wyd
帖子: 19
注册时间: 2006-09-16 16:18
送出感谢: 0
接收感谢: 0

eva中输入不了中文????

#1

帖子 wyd » 2006-10-12 20:54

请问:

我的scim在eva中不起作用,在gaim中和终端中运行都正常。怎么解决阿?
dbzhang800
帖子: 3182
注册时间: 2006-03-10 15:10
来自: xi'an China
送出感谢: 0
接收感谢: 2 次
联系:

#2

帖子 dbzhang800 » 2006-10-12 21:30

去看看快速设置指南
头像
dogfox
论坛版主
帖子: 5309
注册时间: 2006-09-02 14:18
来自: 汉桑城
送出感谢: 1 次
接收感谢: 1 次
联系:

#3

帖子 dogfox » 2006-10-12 21:36

我用的是fcitx很正常...
建议你到linux公社下个支持ubuntu并且是支持中文的eva的deb包
很轻松就搞定
dbzhang800
帖子: 3182
注册时间: 2006-03-10 15:10
来自: xi'an China
送出感谢: 0
接收感谢: 2 次
联系:

#4

帖子 dbzhang800 » 2006-10-12 21:40

dogfox 写了:我用的是fcitx很正常...
建议你到linux公社下个支持ubuntu并且是支持中文的eva的deb包
很轻松就搞定

不要误导....
头像
dogfox
论坛版主
帖子: 5309
注册时间: 2006-09-02 14:18
来自: 汉桑城
送出感谢: 1 次
接收感谢: 1 次
联系:

#5

帖子 dogfox » 2006-10-12 21:55

dbzhang800 写了:
dogfox 写了:我用的是fcitx很正常...
建议你到linux公社下个支持ubuntu并且是支持中文的eva的deb包
很轻松就搞定

不要误导....

我就是这样搞的...
先是
apt-get install eva
是英文的...并且很多汉字无法显示...

apt-get remove eva
到公社下了个eva for ubuntu 的
就搞定了
另外,设置指南也不是万能的
dbzhang800
帖子: 3182
注册时间: 2006-03-10 15:10
来自: xi'an China
送出感谢: 0
接收感谢: 2 次
联系:

#6

帖子 dbzhang800 » 2006-10-12 22:14

你和楼主的是两码事.

1.源里面的eva是英文的,不过这和 能不能输入中文没关系

2.你用的是fcitx输入法,不存在scim在kde程序下无法输入中文的问题

3.快速设置指南上有解决方案
头像
chinux
帖子: 282
注册时间: 2005-05-31 23:53
来自: 天府之国
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 chinux » 2006-10-12 22:54

安装scim-qt的软件包了吗
寂寂寒月夜,孤坐伴清灯。曳曳烛光摇,淡淡数点星。
起身动瑶佩,移步出门去。默默倚危阑,遥听伊人语。
头像
tsinghan
帖子: 1677
注册时间: 2005-12-23 19:20
送出感谢: 0
接收感谢: 0

#8

帖子 tsinghan » 2006-12-10 12:29

快速设置指南这段是有问题的 以前我也是不可输入中文在EVA下:

——————————————————————————
“# 安装scim-bridge;请确保已正确设置中文环境,打开终端,执行以下命令,或使用《新立得软件管理器》,在其中搜索“scim-bridge“并标记安装。

sudo apt-get install scim-bridge

# 编辑im-switch生成的scim配置文件

sudo gedit /etc/X11/xinit/xinput.d/zh_CN

# 将默认的 GTK_IM_MODULE=scim 修改为 GTK_IM_MODULE="scim-bridge"
# 将默认的 QT_IM_MODULE=scim 修改为 QT_IM_MODULE="xim" (不然可能无法在qt程序中输入中文),或者打开终端,执行以下命令,或使用《新立得软件管理器》,在其中搜索“install scim-qtimm“并标记安装。

*

sudo apt-get install scim-qtimm

# 或者简单的将 QT_IM_MODULE=scim 一行注释掉。”
——————————————————
备份zh_CN 这个文件 “# 将默认的 GTK_IM_MODULE=scim 修改为 GTK_IM_MODULE="scim-bridge"
# 将默认的 QT_IM_MODULE=scim 修改为 QT_IM_MODULE="xim"”

把上面这两个东西都给删掉就行了,不要修改成这个样子!!
头像
tsinghan
帖子: 1677
注册时间: 2005-12-23 19:20
送出感谢: 0
接收感谢: 0

#9

帖子 tsinghan » 2006-12-10 12:30

靠 那个设置指南有问题的 误人子弟啊!!
头像
tsinghan
帖子: 1677
注册时间: 2005-12-23 19:20
送出感谢: 0
接收感谢: 0

#10

帖子 tsinghan » 2006-12-10 12:30

我也上过当!
回复

回到 “老旧版本支持”